Bug 1481450 - Unable to provision against vmware due to "unknown method xsiType"
Summary: Unable to provision against vmware due to "unknown method xsiType"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.2
Assignee: Adam Grare
QA Contact: Alex Newman
URL:
Whiteboard:
Depends On: 1477256
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-14 22:14 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
12 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1477256
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-14 22:18:56 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/fine:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/cee8faf8cce2b313940d1fe97c47038d17887ae1

commit cee8faf8cce2b313940d1fe97c47038d17887ae1
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Aug 11 12:14:31 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Aug 14 18:15:28 2017 -0400

    Merge pull request #96 from agrare/bz_1477256_error_trying_to_edit_nil_vnic
    
    If there is no vnicDev passed in don't call edit_vlan_device
    (cherry picked from commit 0bab3765ff3943ddd7f62918c19a36258a495244)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1481450

 .../vmware/infra_manager/provision/configuration/network.rb          | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

Comment 9 Alex Newman 2017-09-06 17:26:57 UTC
Customer verified fix.

Comment 11 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.